# Not working
spei3_126 <- readRDS("/esarchive/scratch/pdeluca/landmarc/data/spei3_thorntwaite_126_MPI-ESM1-2-HR.rds")
# Working
canesm5 <- readRDS("/esarchive/scratch/pdeluca/landmarc/data/spei3_126_CanESM5.rds")

all_spei <- list(spei3_126) 
     
## remove +/-Inf and 1949
for (i in 1:length(all_spei)) {
  for (j in 1:length(all_spei[[i]])) {
    
    all_spei[[i]][[j]][sapply(all_spei[[i]][[j]], is.infinite)] <- NA
    all_spei[[i]][[j]]=all_spei[[i]][[j]][-c(1:12),]
    
  }
}

all_spei_2=all_spei
for (i in 1:length(all_spei_2)) {
  all_spei_2[[i]]=dplyr::bind_rows(all_spei_2[[i]])
}

lon=list()
lat=list()
time=list()

for (i in 1:length(all_spei_2)) {
  
  lon[[i]]=unique(all_spei_2[[i]]$lon)
  lat[[i]]=unique(all_spei_2[[i]]$lat)

  time[[i]]=c(1:1812)
  
  lon[[i]] = array(data = lon[[i]], dim = c(lon = length(lon[[i]])))
  lat[[i]] = array(data = lat[[i]], dim = c(lat = length(lat[[i]])))
  time[[i]] = array(data = time[[i]], dim = c(time = length(time[[i]])))
  
}

data_var=list()
for (i in 1:length(all_spei)) {
  data_var[[i]] = lapply(all_spei[[i]], '[[', 1)  # get the data only
}


arr1=list()
for (i in 1:length(data_var)) {
  
  arr1[[i]] = array(unlist(data_var[[i]]), dim = c(time = 1812, 
                                                   lon = length(unique(all_spei_2[[i]]$lon)), 
                                                   lat = length(unique(all_spei_2[[i]]$lat))))  # turn list to array
  
  arr1[[i]] = s2dv::Reorder(arr1[[i]], c("lon", "lat", "time"))  # time needs to be the last one for netCDF
  
}



for (i in 1:length(data_var)) {
  
  metadata <- list(spei3 = list(standard_name = "spei3"))
  attr(arr1[[i]], 'variables') <- metadata
  
  metadata <- list(lon = list(standard_name = "longitude",
                              units = "degrees_east"))
  attr(lon[[i]], 'variables') <- metadata
  
  metadata <- list(lat = list(standard_name = "latitude",
                              units = "degrees_north"))
  attr(lat[[i]], 'variables') <- metadata
  
  metadata <- list(time = list(units = "months"))
  attr(time[[i]], 'variables') <- metadata
  
}


easyNCDF::ArrayToNc(list(arr1[[1]], lon[[1]], lat[[1]], time[[1]]), paste('~/paolo_output.nc', sep = ""))

