library(s2dv)

print("1---Synthesize data...")
 exp <- array(rnorm(10000), dim = c(lat = 102, lon = 501, member = 10, sdate = 50))
 obs <- array(exp - rnorm(length(exp)), dim = c(lat = 102, lon = 501, sdate = 50))
 ref <- array(exp + rnorm(length(exp)), dim = c(lat = 102, lon = 501, member = 10, sdate = 50))


print("2---Start DiffCorr...")
 ncores <- 16
 t1 <- Sys.time()
 res_two.sided_sign <- s2dv::DiffCorr(exp, obs, ref, memb_dim = 'member', 
                                test.type = 'two-sided', alpha = 0.05,
				ncores = ncores)

print("Consuming time:")
print(Sys.time() - t1)

print(paste0("ncores =", ncores))
