#!/bin/bash
#SBATCH -N 1
#SBATCH -c 16
#SBATCH -n 1
#SBATCH --time 1:00:00
#SBATCH --job-name test_cdo_ncores
#SBATCH --output test_cdo_ncores-%J.out
#SBATCH --error  test_cdo_ncores-%J.err

module load CDO/1.9.8-foss-2019b

ncore=$1

timestamp=$(date +%s)
echo "Begin..." ${timestamp}

cdo -P $ncore -remapbil,r100x50 /esarchive/scratch/aho/tmp/tas_200011.nc /esarchive/scratch/aho/tmp/afterRegrid.nc

timestamp=$(date +%s)
echo "Finished" ${timestamp}
