#!/bin/bash


# This script create folders and copy files

files=(

/esarchive/exp/ecearth/a1st/diags/CMIP/EC-Earth-Consortium/EC-Earth3/historical/r7i1p1f1/Omon/tosmean/gn/v20190302/tosmean_Omon_EC-Earth3_historical_r7i1p1f1_gn_196001-196012.nc
/esarchive/exp/ecearth/a1sx/diags/CMIP/EC-Earth-Consortium/EC-Earth3/historical/r10i1p1f1/Omon/tosmean/gn/v20190308/tosmean_Omon_EC-Earth3_historical_r10i1p1f1_gn_196001-196012.nc
/esarchive/exp/ecearth/a1st/diags/CMIP/EC-Earth-Consortium/EC-Earth3/historical/r7i1p1f1/Omon/tosmean/gn/v20190302/tosmean_Omon_EC-Earth3_historical_r7i1p1f1_gn_196101-196112.nc
/esarchive/exp/ecearth/a1sx/diags/CMIP/EC-Earth-Consortium/EC-Earth3/historical/r10i1p1f1/Omon/tosmean/gn/v20190308/tosmean_Omon_EC-Earth3_historical_r10i1p1f1_gn_196101-196112.nc
/esarchive/exp/ecmwf/system4_m1/6hourly/tas/tas_19940501.nc
/esarchive/exp/ecmwf/system4_m1/6hourly/tas/tas_19950101.nc
/esarchive/exp/ncar/cesm-dple/monthly_mean/psl/psl_20001101.nc
/esarchive/exp/ecmwf/system5_m1/daily_mean/psl_f6h/psl_19821201.nc
/esarchive/recon/ecmwf/era5/original_files/reorder/daily_mean/tas/tas_199212.nc
/esarchive/exp/ecmwf/system5c3s/daily_mean/tas_f6h/tas_19931101.nc
/esarchive/exp/ecmwf/system5c3s/daily_mean/tas_f6h/tas_19931201.nc
/esarchive/exp/ecmwf/system5c3s/daily_mean/tas_f6h/tas_19941201.nc
/esarchive/exp/ecmwf/system5c3s/daily_mean/tas_f6h/tas_19951201.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199311.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199312.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199412.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199512.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199401.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199501.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199601.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199402.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199502.nc
/esarchive/recon/ecmwf/era5/daily_mean/tas_f1h-r360x181/tas_199602.nc
/esarchive/exp/ecmwf/s2s-monthly_ensforhc/daily_mean/tas_f6h/20160704/tas_19960704.nc
/esarchive/exp/ecmwf/s2s-monthly_ensforhc/daily_mean/tas_f6h/20160704/tas_19970704.nc
/esarchive/exp/ecmwf/s2s-monthly_ensforhc/daily_mean/tas_f6h/20160704/tas_19980704.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199607.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199612.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199701.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199707.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199712.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199801.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199807.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199812.nc
/esarchive/recon/ecmwf/era5/1hourly/sfcWind/sfcWind_199901.nc
/esarchive/recon/ecmwf/era5/monthly_mean/prlr_f1h-r1440x721cds/prlr_201411.nc
/esarchive/recon/ecmwf/era5/monthly_mean/prlr_f1h-r1440x721cds/prlr_201412.nc
/esarchive/obs/ukmo/hadex3/original_files/1961-90/HadEX3_FD_MON.nc
/esarchive/oper/VITIGEOSS/output/cfsv2/weekly_mean/rsds/rsds-vitigeoss-cat_1999-2018_0404.nc
/esarchive/oper/VITIGEOSS/output/cfsv2/weekly_mean/rsds/rsds-vitigeoss-cat_1999-2018_0407.nc
/esarchive/oper/VITIGEOSS/output/cfsv2/weekly_mean/rsds/rsds-vitigeoss-cat_1999-2018_0411.nc
/esarchive/oper/VITIGEOSS/output/cfsv2/weekly_mean/rsds/rsds-vitigeoss-cat_1999-2018_0414.nc
/esarchive/exp/CMIP6/dcppA-hindcast/CanESM5/DCPP/CCCma/CanESM5/dcppA-hindcast/r1i1p2f1/Omon/tos/gr/v20190429/tos_Omon_CanESM5_dcppA-hindcast_s1980-r1i1p2f1_gr_198101-199012.nc
/esarchive/exp/CMIP6/dcppA-hindcast/CESM1-1-CAM5-CMIP5/DCPP/NCAR/CESM1-1-CAM5-CMIP5/dcppA-hindcast/r1i1p1f1/Omon/tos/gr/v20191016/tos_Omon_CESM1-1-CAM5-CMIP5_dcppA-hindcast_s2015-r1i1p1f1_gr_201511-202512.nc
/esarchive/exp/CMIP6/dcppA-hindcast/HadGEM3-GC31-MM/DCPP/MOHC/HadGEM3-GC31-MM/dcppA-hindcast/r1i1p1f2/Amon/tas/gn/v20200417/tas_Amon_HadGEM3-GC31-MM_dcppA-hindcast_s2009-r1i1p1f2_gn_201501-201512.nc
/esarchive/exp/ecearth/a1ua/cmorfiles/DCPP/EC-Earth-Consortium/EC-Earth3/dcppA-hindcast/r10i1p1f1/Amon/tas/gr/v20190713/tas_Amon_EC-Earth3_dcppA-hindcast_s1960-r10i1p1f1_gr_196011-196110.nc
/esarchive/exp/ecearth/a1ua/cmorfiles/DCPP/EC-Earth-Consortium/EC-Earth3/dcppA-hindcast/r10i1p1f1/Omon/tos/gr/v20190713/tos_Omon_EC-Earth3_dcppA-hindcast_s1960-r10i1p1f1_gr_196011-196110.nc

)

cd /esarchive/scratch/aho/startR_unittest_files/

for file in ${files[@]}; do

  localfile=${file:1}  # remove first "/"
  if [ ! -f "$localfile" ]; then
    echo "Copy $file..."
    if [ ! -d "${localfile%/*}" ]; then
      echo "Create file dir:"
      echo ${localfile%/*}
      mkdir -p ${localfile%/*}
    fi
    cp $file ${localfile%/*}
  else 
    echo "File exists: $file"
  fi

done

echo "Files copied."
