Country_mean <- function(pointdata, mask.path) {
   
  load(mask.path)
  data.country <- array(NA, dim=c(length(europe.countries.iso)))
  for (country in 1:length(europe.countries.iso)){
      Country_mask <- mask[country,,]
      Country_mask[Country_mask == 0 ] <- NA
      data.country[country] <- mean(pointdata*Country_mask, na.rm=TRUE)
  }
  if (all(is.na(data.country))){
    return(array(NA, dim=c(length(europe.countries.iso))))
  } else {
    return(data.country)
  }    
}

Country_mean2 <- function(pointdata, mask) {
   
  z.len <- dim(mask)[1]
  data.country <- sapply(1:z.len, function(x) {
   country_mask <- mask[x,,]
   country_mask[country_mask == 0 ] <- NA
   mean(pointdata*country_mask,na.rm=T)})

  return(data.country)
}
