# NAO profiling
exp <- array(rnorm(25*24*1*241*481), dim = c(member = 25, sdate = 24, ftime = 4, lat = 241, lon = 481))
obs <- array(rnorm(24*1*241*481), dim = c(member = 1, sdate = 24, ftime = 4, lat = 241, lon = 481))
lat <- seq(20, 80, length.out = 241)
lon <- seq(-80, 40, length.out = 481)
profvis({
nao <- NAO(exp = exp, obs = obs, lat = lat, lon = lon, ftime_avg = 1)
})
#Profile7
#163.79s

peakRAM::peakRAM({
nao <- NAO(exp = exp, obs = obs, lat = lat, lon = lon, ftime_avg = 1)
})
#4684.4 MiB
#exp: 2.1Gb; obs:84.9 Mb

peakRAM::peakRAM({
nao <- NAO(exp = exp, obs = obs, lat = lat, lon = lon, ftime_avg = NULL)
})

#-----------------------

memuse::Sys.procmem()
