library(multiApply)
arr <- array(1:60, dim = c(sdate = 10, time = 2, region = 3))
attributes(arr)$units <- 'K'
time_attr <- c(paste0(1961:1970, "-11-01 12:00:00"), paste0(1961:1970, "-12-01 12:00:00"))
time_attr <- as.POSIXct(time_attr, tz = 'UTC')
dim(time_attr) <- dim(arr)[1:2]
attributes(arr)$time <- time_attr

res <- Apply(arr, fun = mean, target_dims = 'region', output_dims = NULL)
res <- Apply(list(data2 = arr), fun = mean, target_dims = 'region', output_dims = NULL, use_attributes = list(data2 = 'a'))


func <- function(x) {
print(str(x))
 attributes(x)$new <- "new_attr"
 return(x)
}

res <- Apply(list(data = arr), func, target_dims = 'sdate', output_dims = 'sdate', use_attributes = list(data = c('units', 'time')))

res <- Apply(arr, func, target_dims = 'sdate', output_dims = 'sdate', use_attributes = list(c('units', 'time')))

res <- Apply(arr, func, target_dims = 'sdate', output_dims = 'sdate')

