library(s2dv)
load('/esarchive/scratch/cchou/MEDGOLD/cs_wine_paper/data/test.RData')
PlotLayout(fun = PlotEquiMap,
           plot_dims = c('lat', 'lon'),
           var = CORR,
           special_args = DOT,
           dot_symbol = 19, dot_size = 0.1,
           filled.continents = filled.continents,
           filled.oceans = filled.oceans,
           brks = brks,
           cols = cols,
           col_inf = 'white',
           colNA = 'lightgrey',
           triangle_ends = c(TRUE, FALSE),
           titles = names,
           title_scale = 0.6,
           subtitle_scale = 0.7,
           axelab = FALSE, units = units,
           nrow = 4, ncol = 2,
           fileout = 'test.png',
           width = 4,
           height = 9
           )

