
data1 <- rnorm(8 * 9 * 10 * 12)
dim(data1) <- c(window = 8, sdate = 9, dat = 1, var = 1, sday = 1, sweek = 1,
                lat = 10, lon = 12, ensemble = 1)


data2 <- array(rnorm(1000), dim = c(window = 9, lat = 10, lon = 12)) #v

data3 <- array(rnorm(1000), dim = c(lat = 10, window = 9, lon = 12)) #v

data4 <- array(rnorm(1000), dim = c(window = 9, lat = 10, lon = 12, ens = 2)) #v

data5 <- array(rnorm(1000), dim = c(window = 9, var = 2, lat = 10, lon = 12, ens = 1))

data6 <- array(rnorm(1000), dim = c(window = 9, var = 2, ens = 1, lat = 10, lon = 12)) #v

data7 <- array(rnorm(1000), dim = c(a = 3, b = 4, lon = 12, lat = 10, c = 5, d = 2))

data8 <- array(1:(4*12*10*3*2), dim = c(dat = 1, var = 1, memb = 4, lon = 12, lat = 10, sdate = 3, sweek = 2)) #v

library(easyNCDF)
library(ncdf4)
library(ClimProjDiags)
.KnownLonNames <- s2dv:::.KnownLonNames
.KnownLatNames <- s2dv:::.KnownLatNames
.warning <- s2dv:::.warning

  res <- CDORemap(data_array = data8, lats = 1:10, lons = 1:12, grid = 'r100x50', method = 'con', crop = T)



